Get Tenant Info

Cortex XSIAM Platform APIs

post /public_api/v1/system/get_tenant_info

Get your tenant license information.

Required license: Cortex XSIAM Premium or Cortex XSIAM Enterprise or Cortex XSIAM NG SIEM

Request headers
Authorization String required

{api_key}

Example: authorization_example
x-xdr-auth-id String required

{api_key_id}

Example: xXdrAuthId_example
CLIENT REQUEST
curl -X 'POST'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'Authorization: authorization_example' -H 'x-xdr-auth-id: xXdrAuthId_example'
'https://api-yourfqdn/public_api/v1/system/get_tenant_info'
-d ''
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") payload = "{\"request_data\":{}}" headers = { 'Authorization': "SOME_STRING_VALUE", 'x-xdr-auth-id': "SOME_STRING_VALUE", 'content-type': "application/json" } conn.request("POST", "/public_api/v1/system/get_tenant_info", payload, headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/v1/system/get_tenant_info") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Post.new(url) request["Authorization"] = 'SOME_STRING_VALUE' request["x-xdr-auth-id"] = 'SOME_STRING_VALUE' request["content-type"] = 'application/json' request.body = "{\"request_data\":{}}" response = http.request(request) puts response.read_body
const data = JSON.stringify({ "request_data": {} }); const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("POST", "https://api-yourfqdn/public_api/v1/system/get_tenant_info"); xhr.setRequestHeader("Authorization", "SOME_STRING_VALUE"); xhr.setRequestHeader("x-xdr-auth-id", "SOME_STRING_VALUE"); xhr.setRequestHeader("content-type", "application/json"); xhr.send(data);
HttpResponse<String> response = Unirest.post("https://api-yourfqdn/public_api/v1/system/get_tenant_info") .header("Authorization", "SOME_STRING_VALUE") .header("x-xdr-auth-id", "SOME_STRING_VALUE") .header("content-type", "application/json") .body("{\"request_data\":{}}") .asString();
import Foundation let headers = [ "Authorization": "SOME_STRING_VALUE", "x-xdr-auth-id": "SOME_STRING_VALUE", "content-type": "application/json" ] let parameters = ["request_data": []] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/v1/system/get_tenant_info")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/v1/system/get_tenant_info", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => "{\"request_data\":{}}", CURLOPT_HTTPHEADER => [ "Authorization: SOME_STRING_VALUE", "content-type: application/json", "x-xdr-auth-id: SOME_STRING_VALUE" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/v1/system/get_tenant_info"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "Authorization: SOME_STRING_VALUE"); headers = curl_slist_append(headers, "x-xdr-auth-id: SOME_STRING_VALUE"); headers = curl_slist_append(headers, "content-type: application/json"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"request_data\":{}}"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/v1/system/get_tenant_info"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "SOME_STRING_VALUE"); request.AddHeader("x-xdr-auth-id", "SOME_STRING_VALUE"); request.AddHeader("content-type", "application/json"); request.AddParameter("application/json", "{\"request_data\":{}}", ParameterType.RequestBody); IRestResponse response = client.Execute(request);
Body parameters
application/json
request_dataobject
REQUEST
{ "request_data": {} }
Responses

OK

Body
application/json
replyobject

List of available licenses, number of devices, and purchased add-ons on your tenant.

xsiam_premium_expirationinteger
purchased_xsiam_premiumobject
usersinteger
gbinteger
agentsinteger
pro_per_endpoint_expirationinteger
purchased_pro_per_endpointobject
agentsinteger
data_enabled_pro_per_endpointinteger
prevent_expirationinteger
purchased_preventinteger
installed_preventinteger
pro_gb_expirationinteger
purchased_pro_gbobject
gbinteger
installed_pro_gbinteger
compute_unit_expirationinteger
purchased_compute_unitinteger
host_insights_expirationinteger
enabled_host_insightsinteger
purchased_host_insightsinteger
forensics_expirationinteger
enabled_forensicsinteger
pro_cloud_expirationinteger
purchased_pro_cloudobject
agentsinteger
installed_pro_cloudinteger
data_enabled_pro_cloudinteger
identity_threat_expirationinteger
xth_expirationinteger
purchased_xthinteger
threat_intelligence_management_expirationinteger
purchased_threat_intelligence_managementinteger
attack_surface_management_expirationinteger
purchased_attack_surface_managementinteger
xsiam_ep_hot_expirationstring
purchased_xsiam_ep_hotinteger
xsiam_ep_cold_expirationstring
purchased_xsiam_ep_coldinteger
xsiam_gb_hot_expirationstring
purchased_xsiam_gb_hotinteger
xsiam_gb_cold_expirationstring
purchased_xsiam_gb_coldinteger
RESPONSE
{ "reply": { "xsiam_premium_expiration": 12478046378, "purchased_xsiam_premium": { "users": 100, "gb": 100, "agents": 500 }, "pro_per_endpoint_expiration": 12478046378, "purchased_pro_per_endpoint": { "agents": 200 }, "data_enabled_pro_per_endpoint": 26, "prevent_expiration": 0, "purchased_prevent": 0, "installed_prevent": 27, "pro_tb_expiration": 12478046378, "purchased_pro_gb": { "gb": 1 }, "installed_pro_tb": 0, "compute_unit_expiration": 0, "purchased_compute_unit": 16, "host_insights_expiration": 12478046378, "enabled_host_insights": 26, "purchased_host_insights": 400, "forensics_expiration": 0, "enabled_forensics": 12 } }
{ "reply": { "pro_cloud_expiration": 0, "purchased_pro_cloud": 0, "installed_pro_cloud": 4, "data_enabled_pro_cloud": 4, "pro_per_endpoint_expiration": "Nov 7th 2025 07:59:59", "purchased_pro_per_endpoint": { "agents": 200 }, "data_enabled_pro_per_endpoint": 4, "prevent_expiration": 0, "purchased_prevent": 0, "installed_prevent": 4, "pro_gb_expiration": "Nov 8th 2027 07:59:59", "purchased_pro_gb": { "gb": 33 }, "identity_threat_expiration": "Aug 13th 2023 11:03:41", "compute_unit_expiration": "Nov 7th 2025 07:59:59", "purchased_compute_unit": 50, "host_insights_expiration": "Nov 8th 2027 07:59:59", "enabled_host_insights": 8, "purchased_host_insights": 250, "forensics_expiration": 0, "enabled_forensics": 4, "xsiam_ep_hot_expiration": "Jan 2nd 2024 23:59:59", "purchased_xsiam_ep_hot": 2 } }

Bad Request. Got an invalid JSON.

Body
application/json

The query result upon error.

err_codestring

HTTP response code.

err_msgstring

Error message.

Example:"{\"line\": 1, \"column\": 19, \"message\": \"no viable alternative at input '|alter2'\"}"
err_extrastring

Additional information describing the error.

RESPONSE
{ "err_code": "example", "err_msg": "{\"line\": 1, \"column\": 19, \"message\": \"no viable alternative at input '|alter2'\"}", "err_extra": "example" }

Unauthorized access. An issue occurred during authentication. This can indicate an incorrect key, id, or other invalid authentication parameters.

Body
application/json

The query result upon error.

err_codestring

HTTP response code.

err_msgstring

Error message.

Example:"{\"line\": 1, \"column\": 19, \"message\": \"no viable alternative at input '|alter2'\"}"
err_extrastring

Additional information describing the error.

RESPONSE
{ "err_code": "example", "err_msg": "{\"line\": 1, \"column\": 19, \"message\": \"no viable alternative at input '|alter2'\"}", "err_extra": "example" }

Unauthorized access. User does not have the required license type to run this API.

Body
application/json

The query result upon error.

err_codestring

HTTP response code.

err_msgstring

Error message.

Example:"{\"line\": 1, \"column\": 19, \"message\": \"no viable alternative at input '|alter2'\"}"
err_extrastring

Additional information describing the error.

RESPONSE
{ "err_code": "example", "err_msg": "{\"line\": 1, \"column\": 19, \"message\": \"no viable alternative at input '|alter2'\"}", "err_extra": "example" }

Forbidden access. The provided API Key does not have the required RBAC permissions to run this API.

Body
application/json

The query result upon error.

err_codestring

HTTP response code.

err_msgstring

Error message.

Example:"{\"line\": 1, \"column\": 19, \"message\": \"no viable alternative at input '|alter2'\"}"
err_extrastring

Additional information describing the error.

RESPONSE
{ "err_code": "example", "err_msg": "{\"line\": 1, \"column\": 19, \"message\": \"no viable alternative at input '|alter2'\"}", "err_extra": "example" }

Internal Server Error

Body
application/json

The query result upon error.

err_codestring

HTTP response code.

err_msgstring

Error message.

Example:"{\"line\": 1, \"column\": 19, \"message\": \"no viable alternative at input '|alter2'\"}"
err_extrastring

Additional information describing the error.

RESPONSE
{ "err_code": "example", "err_msg": "{\"line\": 1, \"column\": 19, \"message\": \"no viable alternative at input '|alter2'\"}", "err_extra": "example" }